/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.domain.config;

import com.crunii.micro.platform.jdbc.EncryptColJdbcDao;
import com.crunii.micro.platform.jdbc.MicroJdbcDao;
import com.crunii.micro.platform.service.EncryptColService;
import com.crunii.micro.platform.service.MicroService;
import com.crunii.micro.platform.service.impl.EncryptColServiceImpl;
import com.crunii.micro.platform.service.impl.MicroServiceImpl;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author 田平 create 2019年12月4日下午5:03:05
 */
@Configuration
public class DomainConfig {

	@Bean
	public MicroJdbcDao regMicroJdbcDao() {
		return new MicroJdbcDao();
	}

	@Bean
	public MicroService regMicroService() {
		return new MicroServiceImpl();
	}

	@Bean
	public EncryptColJdbcDao regEncryptColJdbcDao() {
		return new EncryptColJdbcDao();
	}

	@Bean
	public EncryptColService regEncryptColumnService() {
		return new EncryptColServiceImpl();
	}

}
